require "selenium"
require "test/unit"

class TestToDo < Test::Unit::TestCase
  def setup
    @verification_errors = []
    if $selenium
      @selenium = $selenium
    else
      @selenium = Selenium::SeleneseInterpreter.new("localhost", 4444, "*firefox", "http://localhost:3000", 10000);
      @selenium.start
    end
    @selenium.set_context("test_to_do", "info")
  end
  
  def teardown
    @selenium.stop unless $selenium
    assert_equal [], @verification_errors
  end
  
  def test_to_do
    @selenium.open "/account/login"
    @selenium.click "link=新規登録"
    @selenium.wait_for_page_to_load "30000"
    @selenium.type "user_login", @selenium.get_eval("(new Date()).getTime()")
    @selenium.type "user_password", "test"
    @selenium.type "user_password_confirmation", "test"
    @selenium.click "commit"
    @selenium.wait_for_page_to_load "30000"
    assert @selenium.is_text_present("やること")
    @selenium.type "item_content", "買い物"
    @selenium.click "commit"
    assert !60.times{ break unless (@selenium.is_visible("indicator") rescue true); sleep 1 }
    assert @selenium.is_text_present("買い物")
    @selenium.click "//input[@type='checkbox']"
    assert !60.times{ break unless (@selenium.is_visible("indicator") rescue true); sleep 1 }
    assert @selenium.is_element_present("//*[@id='done_items']//*[text()='買い物']")
  end
end
